import {FC} from "react";
import {View} from "@tarojs/components";
import styles from "./home.module.scss";
// import {Search} from "@/pages/home/components/search";
import Adware from "@/pages/home/components/adware";
import Feature from "@/pages/home/components/feature";
import FeatureRecommended from "@/pages/home/components/feature_recommended";
import CurRecommended from "@/pages/home/components/curRecommended";
import MyButton from "@/components/button/MyButton";
import {Profile} from "@/store";

const Home: FC = () => {
  const {token, empty} = Profile.useContainer()

  return (
    <View className={styles.content} style={{paddingTop: '20px'}}>
      {/*<Search/>*/}
      <Adware/>
      <Feature/>
      <FeatureRecommended/>
      <CurRecommended/>
      {
        !token && <View className={styles.tipsLogin} onClick={empty}>
          <View>登录后享受更多学习服务~</View>
          <MyButton fillet size='mini'>立即登录</MyButton>
        </View>
      }
    </View>
  )
}

export default Home
